# AnnouncementService

Example usage:

```lua
Events.MatchStart(function(event)
    local startMessage = "You have 30 seconds to hide!"
    local color = Color3.fromRGB(80, 255, 175)
    AnnouncementService.sendAnnouncement(startMessage, color)
    
    task.delay(30, function ()
        local nextMessage = "Seekers have been released!"
        AnnouncementService.sendAnnouncement(nextMessage, color) 
    end)
end)
```

### Functions

#### sendAnnouncement(message: string, color: [Color3](https://create.roblox.com/docs/reference/engine/datatypes/Color3) | nil): bool

Sends the provided message as an announcement to all players. Use the optional color parameter to set the color of the announcement.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/services/announcementservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
